<?php
/**
* ページセレクタを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IPageSelector extends IObject
{

	/*
	 *   ページセレクタを初期化する
	 */
	public function init( Config $config );

	/**
	 *   ページを決定する
	 */
	public function selectPage( String $proc_name, TaskSnapshot $snapshot, Response $response );

}

return __FILE__;